#
# spec file for package editres
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           editres
Version:        1.0.9
Release:        lp160.1.2
Summary:        Dynamic resource editor for X Toolkit applications
License:        X11
Group:          System/X11/Utilities
URL:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xt) >= 1.0.99.1
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Editres is a tool that allows users and application developers to view
the full widget hierarchy of any X Toolkit application that speaks the
Editres protocol.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING
%{_bindir}/editres
%dir %{_datadir}/X11/app-defaults
%{_datadir}/X11/app-defaults/Editres
%{_datadir}/X11/app-defaults/Editres-color
%{_mandir}/man1/editres.1%{?ext_man}

%changelog
* Mon Mar  4 2024 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.9
  * Ensure all *.c files include config.h before any other headers
  * Re-enable code to use XKB Bells
  * Add -help and -version options
  * List which options were unrecognized before printing usage message
  * gitlab CI: stop requiring Signed-off-by in commits
  * fix const error
  * FIX const warning
  * FIX some const warnings
  * stop const warnings
  * stop const warnings
  * stop const warnings
  * stop const warnings
  * stop const warnings
  * fix initialization discards const
  * Fix shadowing box
* Sun Apr  3 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.8
  * bugfix release
* Mon Mar  5 2018 sndirsch@suse.com
- Update to version 1.0.7
  * This version raises the minimum version of libXt required to build & run
    editres to libXt 1.0.99.1.
* Thu Feb  6 2014 sndirsch@suse.com
- fixed license to X11 in specfile
* Sat Jan 19 2013 zaitor@opensuse.org
- Update to version 1.0.6:
  + Remove Xorg/XFree86 CVS/RCS id tags.
  + config:
  - Move man pages into their own directory.
  - Replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS.
  - Replace deprecated AC_HELP_STRING with AS_HELP_STRING.
  + man:
  - Replace hard coded man page section with substitution strings
  - Remove trailing spaces and tabs.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split editres from xorg-x11. Initial version: 1.0.5.
